{
    attributes = (
        {
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CAO_ID"; 
            externalType = NUMBER; 
            name = caoId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (caoId); 
    className = "org.cocktail.jefyadmin.server.metier.EOCodeAnalytiqueOrgan"; 
    classProperties = (codeAnalytique, organ); 
    externalName = "JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (codeAnalytique, organ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOCodeAnalytiqueOrgan"; 
    }; 
    name = CodeAnalytiqueOrgan; 
    primaryKeyAttributes = (caoId); 
    relationships = (
        {
            destination = CodeAnalytique; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytique; 
        }, 
        {
            destination = Organ; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }
    ); 
}
